﻿namespace SitioApp.Data;

public class Animal
{
    public static IEnumerable<AnimalInfo> GetAll => new[]
    {
        new AnimalInfo("Abelha", "Poleniza as plantas e nos dá o mel."),
        new AnimalInfo("Cachorro", "O melhor amigo do home."),
        new AnimalInfo("Cavalo", "Imponente e saltitante."),
        new AnimalInfo("Coruja", "Séria e sombria"),
        new AnimalInfo("Galinha", "Nós dá ovos e cisca tudo."),
        new AnimalInfo("Galo", "O despertador do sítio."),
        new AnimalInfo("Ganso", "Altivos e barulhentos."),
        new AnimalInfo("Gato", "Preguiçoso e mansinho."),
        new AnimalInfo("Gaviao", "Sempre a espreita"),
        new AnimalInfo("Ovelha", "Quietas e solidárias."),
        new AnimalInfo("Papagaio", "Barulhentos e alegres."),
        new AnimalInfo("Pato", "Desengonçado e lento."),
        new AnimalInfo("Peru", "Faz gluuu gluuu"),
        new AnimalInfo("Porco", "Gosta de uma boa lama"),
        new AnimalInfo("Sapo", "Pegando moscas e insetor"),
        new AnimalInfo("Vaca", "Vamos tirar o Leite")
    };

    public sealed record AnimalInfo(string Nome, string Descricao)
    {
        public string ImagemUrl => $"/images/{Nome.ToLowerInvariant()}.png";
        public string WavUrl => $"/audio/{Nome.ToLowerInvariant()}.wav";
    }
}
